> For the complete documentation index, see [llms.txt](https://docs.evitalrx.in/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.evitalrx.in/api-for-product-catalogue/medicines/request-product.md).

# Request Product

## Request Product

<mark style="color:green;">`POST`</mark> [`{{apiUrl}}catalog/medicines/request_medicine`](https://api.evitalrx.in/v1/catalog/medicines/request_medicine)

#### Request Body

| Name                                                 | Type   | Description                                                                                                                                                                                       |
| ---------------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| apikey<mark style="color:red;">\*</mark>             | String | Authentication Token                                                                                                                                                                              |
| medicine\_name<mark style="color:red;">\*</mark>     | String | Product Name                                                                                                                                                                                      |
| gtin\_number                                         | String | Product's GTIN Number                                                                                                                                                                             |
| hsn\_code                                            | String | <p>Product's HSN Number</p><p>Min Length: 3</p><p>Max Length: 8</p>                                                                                                                               |
| manufacturer\_name<mark style="color:red;">\*</mark> | String | Product's Manufacturer Name                                                                                                                                                                       |
| packaging<mark style="color:red;">\*</mark>          | String | <p>Product's Packaging</p><p></p><p>Packaging: strip, bottle, packet, piece, tube, etc.</p><p></p><p>Examples: Himalaya Cream is 100gm.</p><p>Then pass <strong>"packaging":  "tube"</strong></p> |
| mrp<mark style="color:red;">\*</mark>                | Number | Price of the Product                                                                                                                                                                              |
| unit                                                 | String | <p>Unit for the measurement of the Product</p><p></p><p>Units: gm, ml, tablets, capsules, etc.</p><p></p><p>Examples: Himalaya Cream is 100gm.</p><p>Then pass <strong>"unit":  "gm"</strong></p> |
| weightage                                            | Number | <p>Weightage of the Product:</p><p></p><p>Examples: Himalaya Cream is 100gm.</p><p>pass <strong>"weightage":  100</strong></p>                                                                    |
| gst\_percentage                                      | Number | <p>GST Percentage of the Product:</p><p>Valid values: 0, 5, 12, 18, 28</p>                                                                                                                        |
| os                                                   | String | web                                                                                                                                                                                               |
| image<mark style="color:red;">\*</mark>              | File   | Back photo of the Product.                                                                                                                                                                        |
| image<mark style="color:red;">\*</mark>              | File   | Front photo of the Product.                                                                                                                                                                       |

{% tabs %}
{% tab title="200: OK Success" %}

```json
{
    "status_code": "1",
    "status_message": "Success",
    "datetime": "2022-12-06 17:30:56",
    "data": {
        "medicine_id": "sWCoyp2jvgEx9ul1CBOuFA==",
        "medicine_type": "",
        "packing_size": "1 Tube of 100 Gm",
        "pack_size": "100 Gm",
        "manufacturer_name": "",
        "hsn_code": "",
        "gst_percentage": 0,
        "gtin_number": "",
        "mrp": 100,
        "medicine_name": "Himalaya Fairness Cream"
    }
}
```

{% endtab %}

{% tab title="200: OK Images not found" %}

```json
{
    "status_code": "0",
    "status_message": "Medicine images not found",
    "datetime": "2022-12-06 17:31:17",
    "data": null
}
```

{% endtab %}

{% tab title="200: OK Validation Error" %}

```json
{
    "status_code": "0",
    "status_message": "\"manufacturer_name\" is not allowed to be empty",
    "datetime": "2022-12-06 17:32:05",
    "data": null
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.evitalrx.in/api-for-product-catalogue/medicines/request-product.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
